发布时间 :2006-05-12 17:02:00
修订时间 :2017-07-19 21:30:36

[原文]Stack-based buffer overflow in Preview in Apple Mac OS 10.4 up to 10.4.6 allows local users to execute arbitrary code via a deep directory hierarchy.

[CNNVD]Apple Mac OS Preview 栈溢出漏洞(CNNVD-200605-248)

        Apple Mac OS X 10.4 至 10.4.6版本的 Preview存在栈溢出漏洞,本地用户可以通过深目录层次结构执行任意代码。

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:apple:mac_os_x:10.4Apple Mac OS X 10.4
cpe:/o:apple:mac_os_x:10.4.2Apple Mac OS X 10.4.2
cpe:/o:apple:mac_os_x:10.4.1Apple Mac OS X 10.4.1
cpe:/o:apple:mac_os_x:10.4.4Apple Mac OS X 10.4.4
cpe:/o:apple:mac_os_x:10.4.3Apple Mac OS X 10.4.3
cpe:/o:apple:mac_os_x:10.4.6Apple Mac OS X 10.4.6
cpe:/o:apple:mac_os_x:10.4.5Apple Mac OS X 10.4.5

- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(PATCH)  APPLE  APPLE-SA-2006-05-11
(UNKNOWN)  BID  17951
(UNKNOWN)  VUPEN  ADV-2006-1779
(UNKNOWN)  XF  macos-preview-directory-bo(26422)

- 漏洞信息

Apple Mac OS Preview 栈溢出漏洞
中危 缓冲区溢出
2006-05-12 00:00:00 2006-05-15 00:00:00
        Apple Mac OS X 10.4 至 10.4.6版本的 Preview存在栈溢出漏洞,本地用户可以通过深目录层次结构执行任意代码。

- 公告与补丁


- 漏洞信息

Apple Mac OS X Preview Directory Hierarchy Overflow
Local Access Required Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

A local overflow exists in Mac OS X. Preview fails to validate deep directory hierarchies resulting in a stack buffer overflow. With a specially crafted request, an attacker can cause arbitrary code execution resulting in a loss of integrity.

- 时间线

2006-05-08 Unknow
Unknow Unknow

- 解决方案

Install Apple Security Update 2006-003, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete